# Privacy details - the Stripe iOS SDK

_The content set out below is provided for informational purposes only, in order to help you to fill out the Apple app privacy form. You are responsible for filling out the form correctly, and you will need to customize your responses to match your business. If you require advice on filling out the Apple app privacy form, please consult your legal counsel._

The Stripe iOS SDK collects data to help us improve our products and prevent fraud. This data is never used for advertising and is not rented, sold, or given to advertisers. Our full privacy policy is available at [https://stripe.com/privacy](https://stripe.com/privacy).

* When you use components of the Stripe iOS SDK (for example, when tokenizing a card or confirming a payment), we collect analytics data. This includes (but is not limited to) the end user's device model, OS version, and other non-personally identifiable information. We use this information to improve our products.
* By default, we also collect additional information on device characteristics and user interactions with the Stripe iOS SDK to prevent fraud. For more information, visit our page on [Advanced Fraud Detection](https://stripe.com/docs/disputes/prevention/advanced-fraud-detection).
* During a [3D Secure 2](https://stripe.com/guides/3d-secure-2) transaction, some end user data may also be sent to the card issuer as defined by the [EMV 3-D Secure Specification](https://www.emvco.com/emv-technologies/3d-secure/).

# App privacy details on the App Store

|Data type|Is this data used?|How is this data used?|Is this data linked to the end user's identity?|Is this data used for tracking purposes?|
|-|-|-|-|-|
|Payment Info|If you collect payment information in your app, you may need to disclose this.|• App Functionality|If you link this data to a Customer object, you may need to disclose this.|**No.** Stripe does not use this data for tracking purposes.|
|Contact Info|If you collect contact information in your app, you may need to disclose this.|• App Functionality|If this data is linked to a Stripe Customer object, it may be linked to the end user’s identity.|**No.** Stripe does not use this data for tracking purposes.|
|User ID|If you use customer IDs or customer-specific ephemeral keys in your app, you may need to disclose this.|• App Functionality|**Yes.** Stripe may link this data to the end user's identity.|**No.** Stripe does not use this data for tracking purposes.|
|Product Interaction|**Yes.** We collect data related to the usage of Stripe SDK components for analytics and  fraud prevention.|• App Functionality<br/>• Analytics|**No.** Stripe does not link this information to the end user's identity.|**No.** Stripe does not use this data for tracking purposes.|
